Updates Stock Adjustment Reason
Sample request:
PUT /stockadjustmentreasons/12
{
"name": "Updated Stock Adjustment Reason name",
"disabled": true
}
Path Parameters
Stock Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Stock Adjustment Reason model
EmptyExample
Response
application/json
Response
Returns updated Stock Adjustment Reason
StockAdjustmentReason
Stock Adjustment Reason Model
Stock Adjustment Reason Id.
Stock Adjustment Reason name
Stock Adjustment Reason disabled flag
Stock Adjustment Reason creation date and time
Stock Adjustment Reason modification date and time
Path Parameters
Headers
Body
Deletes Stock Adjustment Reason by id when not used in any stock adjustment
Deletes Stock Adjustment Reason by id when not used in any stock adjustment
Path Parameters
Stock Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Stock Adjustment Reason deleted
Path Parameters
Headers
Gets specific Stock Adjustment Reason by unique id
Gets specific Stock Adjustment Reason by unique id
Path Parameters
Stock Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Stock Adjustment Reason
StockAdjustmentReason
Stock Adjustment Reason Model
Stock Adjustment Reason Id.
Stock Adjustment Reason name
Stock Adjustment Reason disabled flag
Stock Adjustment Reason creation date and time
Stock Adjustment Reason modification date and time
Path Parameters
Headers
stockreceipts
Creates Stock Receipt
Sample request:
POST /stockreceipts
{
"source_type": "PO",
"source_id": 1,
"source_item_id": 1,
"source_receipt_item_id": 1,
"product":
{
"id": 124001
},
"outlet":
{
"id": 1
},
"received_quantity": 10,
"buy_price_ex": 100,
"direct_costs_ex": 10.1,
"tax_rate": 1.1
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Stock Receipt model
EmptyExample
Response
application/json
Response
Stock Receipt created
StockReceipt
Stock Receipt model
Stock receipt id
Source type Available values: ‘PO’ or ‘ITO’
Source id
represents id of source - can be for either dbo.PO or dbo.tblITO
Source item id
represents id of source item
Source receipt item id
represents id of receipt item
Show Child Parameters
Show Child Parameters
Received quantity (must be > 0)
Buy price ex (must be >= 0)
Direct costs ex
Tax rate
Created on